Sign Up

Sign In

Forget Password

Lost your password? Please enter your email address. You will receive a link and will create a new password via email.

You must login to ask question.

Failed to resolve: com.android.support.design:25.4.0

  • 0

I added the following line to my build.gradle(Module:app):

compile 'com.android.support:design:25.4.0' 

But when executing Gradle I’m getting

Failed to resolve: com.android.support.design:25.4.0

I got that the support code from the android support design library and added it to a new project. I added it to the dependency section as such:

Any ideas on what I’m doing wrong?

Share This Post
Share
  1. Important: The support libraries are now available through Google’s Maven repository. You do not need to download the support repository from the SDK Manager. For more information, see Support Library Setup.

    Step 1: Open the build.gradle file for your application.

    Step 2: Make sure that the repositories section includes a maven section with the “https://maven.google.com” endpoint. For example:

    allprojects {
        repositories {
            jcenter()
            maven {
                url "https://maven.google.com"
            }
        }
    }

    Step 3: Add the support library to the dependencies section. For example, to add the v4 core-utils library, add the following lines:

    dependencies {
        ...
        compile "com.android.support:support-core-utils:25.4.0"
    }
    • 0
Leave an answer

Leave an answer

Browse

close